OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

> 2.6.22 Kernel And Libertas Module, This is supposed to support Marvel wifi cards. does it?
dlj0
post Oct 21 2007, 06:18 PM
Post #1





Group: Members
Posts: 219
Joined: 3-March 06
Member No.: 9,282



I have been trying to find a way to get my new Marvel wifi card working. I poked around and found out that this libertas kernel module is supposed to support it. But that module is not available with the "stock" titchy kernel.

So, someone who has switched to the 2.6.22 kernel, could you please check to see whether or not you have this module, or maybe download it (there is a debian version for 2.6.22-2) and see whether or not you can at least load the module.

If so, then I would need to know how to install said kernel. I seem to recall there is an updater.sh we can use; it may be just the Angstrom one, but a little guidance would be nice.

Of course, if someone who has this kernel actually also has this wifi card, and can test that out, that would be even better, but I don't imagine I'd be that lucky.

The card I actually have is a Sparklan WCFM-100 card, with the marvell 8385 chip.

I actually contacted them to see about drivers; but they only have source for 2.4 drivers, and no clue about 2.6 kernels, much less arm machines.
Go to the top of the page
 
+Quote Post
 
Start new topic
Replies
jpmatrix
post Oct 22 2007, 01:16 PM
Post #2





Group: Members
Posts: 1,019
Joined: 15-February 05
From: France
Member No.: 6,477



hmm
did you see that one ?

http://lists.debian.org/debian-arm/2007/10/msg00034.html
Go to the top of the page
 
+Quote Post
dlj0
post Oct 22 2007, 09:30 PM
Post #3





Group: Members
Posts: 219
Joined: 3-March 06
Member No.: 9,282



QUOTE(jpmatrix @ Oct 22 2007, 05:16 PM) *

Well, yeah, seeing as how I asked about that, but that is probably beyond my skills/patience to compile. However, I also saw:


(from a search in debian.org)

You have searched for files named libertas in suite lenny, all sections, and architecture(s) arm. Found 4 results.
File Packages
/lib/modules/2.6.22-2-iop32x/kernel/drivers/net/wireless/libertas/libertas.ko linux-image-2.6.22-2-iop32x
/lib/modules/2.6.22-2-ixp4xx/kernel/drivers/net/wireless/libertas/libertas.ko linux-image-2.6.22-2-ixp4xx

Now, I don't know what those indicators for the kernels are (iop32x and ixp4xx), but they are supposedly arm kernels, probably not for the Zaurus specifically.

If'n someone has an installed 2.6.22 kernel, I grabbed the ixp* package above and unpacked it, so have this version of the module. Could you try that module on that 2.6 kernel and see if it works?

Well, this maybe won't have much hope, since file lists these (for either package) as "libertas.ko: ELF 32-bit LSB relocatable, ARM, version 1, not stripped" --- file lists any of the modules on the Z as: ...,version 1 (SYSV),... so they won't be compatible. Nuts.

Maybe I should put this on the list of things I would like to see compiled.
Go to the top of the page
 
+Quote Post

Posts in this topic


Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 30th October 2014 - 09:30 AM